Bug 714577 (CVE-2011-2373) - CVE-2011-2373 Mozilla Use-after-free vulnerability when viewing XUL document with script disabled (MFSA 2011-20)
Summary: CVE-2011-2373 Mozilla Use-after-free vulnerability when viewing XUL document ...
Status: CLOSED ERRATA
Alias: CVE-2011-2373
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110621,reported=20110618,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-20 06:41 UTC by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 12:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 16:26:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0885 normal SHIPPED_LIVE Critical: firefox security and bug fix update 2011-06-21 22:50:32 UTC
Red Hat Product Errata RHSA-2011:0887 normal SHIPPED_LIVE Critical: thunderbird security update 2011-06-21 22:28:35 UTC
Red Hat Product Errata RHSA-2011:0888 normal SHIPPED_LIVE Critical: seamonkey security update 2011-06-21 22:50:01 UTC

Description Huzaifa S. Sidhpurwala 2011-06-20 06:41:00 UTC
Security researcher Martin Barbella reported that under certain conditions,
viewing a XUL document while JavaScript caused deleted memory to be accessed.
This flaw could potentially be used by an attacker to crash a victim's 
browser and run arbitrary code on their computer.

Comment 1 Jan Lieskovsky 2011-06-21 12:45:52 UTC
Public now via:
[1] http://www.mozilla.org/security/announce/2011/mfsa2011-20.html

Comment 2 errata-xmlrpc 2011-06-21 22:28:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0887 https://rhn.redhat.com/errata/RHSA-2011-0887.html

Comment 3 errata-xmlrpc 2011-06-21 22:50:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0888 https://rhn.redhat.com/errata/RHSA-2011-0888.html

Comment 4 errata-xmlrpc 2011-06-21 22:50:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 4

Via RHSA-2011:0885 https://rhn.redhat.com/errata/RHSA-2011-0885.html


Note You need to log in before you can comment on or make changes to this bug.